package cn.com.countrygarden.bi.main.model.dataMigration;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Created by ADMS on 2018/9/18.
 */
public class DispatchRecord {
    private Long dispatchRecordId; //` varchar(36) NOT NULL COMMENT '主键id',
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startDate; //` datetime DEFAULT NULL COMMENT '调度开始时间',
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endDate; //` datetime DEFAULT NULL COMMENT '调度结束时间',
    private String interfaceCode; //` varchar(32) DEFAULT NULL COMMENT '接口编码',
    private Integer batchCode; //` int(11) DEFAULT NULL COMMENT '插入批次号',
    private Long endSignId;

    public Long getEndSignId() {
        return endSignId;
    }

    public void setEndSignId(Long endSignId) {
        this.endSignId = endSignId;
    }

    public Long getDispatchRecordId() {
        return dispatchRecordId;
    }

    public void setDispatchRecordId(Long dispatchRecordId) {
        this.dispatchRecordId = dispatchRecordId;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getInterfaceCode() {
        return interfaceCode;
    }

    public void setInterfaceCode(String interfaceCode) {
        this.interfaceCode = interfaceCode;
    }

    public Integer getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(Integer batchCode) {
        this.batchCode = batchCode;
    }
}
